.chart-distribution {
    --chart-dist-height: 14px;

    position: relative;
    width: 100%;
    min-height: 65px;
    padding: 5px 0;
    @include _list-child-margin(4px, ".content", "bottom");

    > div {
        position: relative;
        width: 100%;
        @include _display-flex(flex, stretch, flex-start, row);

        > div {
            flex: 1;
        }
    }

    .home,
    .guest {
        padding: 0;
    }

    .home {
      text-align: right;
      span {
        @include _display-flex(inline-flex, center, flex-end);
      }
    }

    .guest span {
      @include _display-flex(inline-flex, center, flex-start);
    }

    .head {
        margin-bottom: 5px;
        @include _font-paragraph("bold", $color-paragraph);
        @include _font-size($font-size-6);
    }

    .label {
        @include _display-flex(inline-flex, center, center);
        flex: 0 0 50px;
    }

    .content {
        padding: 0;

        .home,
        .guest,
        .label {
            position: relative;
            height: var(--chart-dist-height);
            @include _font-size($font-size-small);
            line-height: 1;

            span {
                position: relative;
                z-index: z-index('default');
                height: 100%;
                padding: 0 3px;

                &:before {
                    content: '';
                    z-index: z-index('back');
                    position: absolute;
                    left: 0;
                    top: 0;
                    width: 100%;
                    height: 100%;
                    display: block;

                    background: color-gray(3);
                    animation: _scale-x-forward 0.6s ease-in-out forwards;
                    transform-origin: 100% 50%;
                }
            }
        }

        &.-big {
            --chart-dist-height: 24px;
        }

        .guest span:before {
            transform-origin: 0 50%;
        }

        .-active span {
            color: $color-white;

            &:before {
                background: $color-primary;
            }
        }
    }
}
